PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_port_info Struct Reference
Core API » Port

`#include <pipewire/port.h>`

## Data Fields
uint32_t | id
| id of the global
enum pw_direction | direction
| port direction
uint64_t | change_mask
| bitfield of changed fields since last call
struct spa_param_info * | params
| parameters
uint32_t | n_params
| number of items in params

## Field Documentation

## ◆ id

uint32_t pw_port_info::id

id of the global

## ◆ direction

enum pw_direction pw_port_info::direction

port direction

## ◆ change_mask

uint64_t pw_port_info::change_mask

bitfield of changed fields since last call

## ◆ params

struct spa_param_info* pw_port_info::params

parameters

## ◆ n_params

uint32_t pw_port_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/port.h